Subject: Ticket Assigned - Delayed delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2021 05:25:11 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delayed delivery Dear Sir/ Madam,

I was supposed to receive delivery for my order # 8103995974 on 25th September. While i did not receive the delivery on scheduled date, no one even called me from your end to inform about the delay. When I called the helpdesk, i found out that the customer services had no clue about the delayed delivery and they said someone will call back but they were not sure when. I also complained on the chat and the customer representative said the bank has not released the payment while the bank has released the payment and i have been charged on my credit card already. The bank further confirmed that Centerpoint is holding the amount and they also provided me with the authorization number.

I am extremely disappointed with the poor level of customer service that your company has. You guys seriously need to revamp the services and improve and train your employees.

Omer

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3147780